Plan or run a sync for a connection.
curl --request POST \
--url https://{workspace}.klef.ai/api/connections/{id}/sync \
--header 'Content-Type: application/json' \
--cookie klef.session= \
--data '
{
"dryRun": true,
"mode": "<string>"
}
'import requests
url = "https://{workspace}.klef.ai/api/connections/{id}/sync"
payload = {
"dryRun": True,
"mode": "<string>"
}
headers = {
"cookie": "klef.session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'klef.session=', 'Content-Type': 'application/json'},
body: JSON.stringify({dryRun: true, mode: '<string>'})
};
fetch('https://{workspace}.klef.ai/api/connections/{id}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"creates": 123,
"updates": 123,
"removes": 123,
"changes": [
{
"sourceId": "<string>",
"name": "<string>",
"kind": "create"
}
]
},
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}Sync
Plan or run a sync for a connection.
POST
/
connections
/
{id}
/
sync
Plan or run a sync for a connection.
Authorizations
cookieAuthapiKeyAuth
Cookie-based session. Obtain by completing the /auth/login/{provider} OAuth flow; the /auth/callback response sets the klef.session cookie that subsequent requests send automatically.
Path Parameters
Was this page helpful?